summaryrefslogtreecommitdiff
path: root/eclass/toolchain.eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass4
1 files changed, 3 insertions, 1 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index a52fd268c8e8..3f7c2fbff780 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -2749,7 +2749,9 @@ gcc_movelibs() {
# code to run on the target.
if is_crosscompile ; then
dodir "${HOSTLIBPATH#${EPREFIX}}"
- mv "${ED}"/usr/$(get_libdir)/libcc1* "${D}${HOSTLIBPATH}" || die
+ # XXX: Ideally, we'd use $(get_libdir) here, but it's
+ # not right for cross. See bug #942573 and bug #794181.
+ mv "${ED}"/usr/lib*/libcc1* "${D}${HOSTLIBPATH}" || die
fi
# libgccjit gets installed to /usr/lib, not /usr/$(get_libdir). Probably